import _Tab from "@alifd/next/es/tab";
import _inheritsLoose from "@babel/runtime/helpers/inheritsLoose";
import React, { Component } from 'react';
import style from "./index.module.scss";
import Tpl1 from "./tpls/tpl1";
var tabs = [{
  tab: "推荐",
  key: 0,
  content: /*#__PURE__*/React.createElement(Tpl1, null)
}, {
  tab: "单图",
  key: 1,
  content: "单图"
}, {
  tab: "双图",
  key: 2,
  content: "双图"
}, {
  tab: "三图",
  key: 3,
  content: "三图"
}, {
  tab: "四图",
  key: 4,
  content: "四图"
}, {
  tab: "五图",
  key: 5,
  content: "五图"
}, {
  tab: "六图",
  key: 6,
  content: "六图"
}];
function onChange() {
  // console.log("change", key);
}
function handleClick() {
  // console.log("click", content);
}
var EditorLeft = /*#__PURE__*/function (_Component) {
  _inheritsLoose(EditorLeft, _Component);
  function EditorLeft() {
    return _Component.apply(this, arguments) || this;
  }
  var _proto = EditorLeft.prototype;
  _proto.render = function render() {
    return /*#__PURE__*/React.createElement("div", {
      className: style['dialog-left']
    }, /*#__PURE__*/React.createElement(_Tab, {
      triggerType: "click",
      onChange: onChange,
      excessMode: "dropdown"
    }, tabs.map(function (item) {
      return /*#__PURE__*/React.createElement(_Tab.Item, {
        key: item.key,
        title: item.tab,
        onClick: function onClick() {
          return handleClick(item.content);
        }
      }, item.content);
    })));
  };
  return EditorLeft;
}(Component);
export { EditorLeft as default };